Lifecycle
All operations require authentication.
Check project order eligibilityBeta
Check project order eligibility. Returns the actions required before ordering a project, the minimum credit and the accepted payment methods. Give a voucher code to check its credit at the same time.
Query parameters
Voucher code
Response
Actions to perform to be eligible
addPaymentMethodaskIncreaseProjectsQuotachallengePaymentMethodverifyPaypalCloud project order
Payment method accepted to order Public Cloud project
bankAccountcreditcreditCardpaypalrupaysepaDirectDebitInformation about voucher code
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ eligibility \
-H "authorization: Bearer $OVH_TOKEN"{ "actionsRequired": [ "addPaymentMethod" ], "minimumCredit": { "currencyCode": "AUD", "text": "string", "value": 0 }, "paymentMethodsAuthorized": [ "bankAccount" ], "voucher": { "credit": { "currencyCode": "AUD", "text": "string", "value": 0 }, "paymentMethodRequired": true }}
Request service terminationProduction
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
The project id
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm service terminationProduction
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
The project id
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The project id
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ cloud/ project/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]